PRO extractSamples

  COMPILE_OPT IDL2

  dataPath = FILE_SEARCH('XXX', '*.tif', count=number)

  x = FIX(RANDOMU(undefinevar, 100000) * 3600)
  y = FIX(RANDOMU(undefinevar, 100000) * 1800)

  txtPath = 'XXXXX'
  OPENW, lun, txtPath, /GET_LUN
  PRINTF, lun, FORMAT='(28A-14)', 'CON', 'COR', 'DIS', 'ENT', 'HOM', 'MAX', 'LST', 'ET', 'PET', 'GPP', 'UNI', 'VAR', 'cv', $
  'eveness', 'DHI-cum', 'DHI-min', 'DHI-sea', 'biome', 'range', 'allSpecies', 'amphibian', 'birds', 'mammal', 'shannon', 'simpson', 'std', 'x', 'y'

  sampleNum = 0
  i = 0

  WHILE sampleNum LT 10000 DO BEGIN

   m = FLTARR(number)

    nullNumber = 0

    FOR j = 0, number - 1, 1 DO BEGIN

      data = READ_TIFF(dataPath[j])
      data[WHERE(~FINITE(data))] = -10000

      m[j] = data[x[i], y[i]]
      
      IF m[j] NE -10000 THEN BEGIN
        nullNumber = nullNumber + 1
      ENDIF ELSE BEGIN
        BREAK
      ENDELSE
      PRINT, nullNumber

    ENDFOR

    IF nullNumber EQ 26 THEN BEGIN
      
      sampleNum ++
      m = STRTRIM(STRING(m),2)
      
      PRINTF, lun, FORMAT='(28A-14)', m[0], m[1], m[2], m[3], m[4], m[5], m[6], m[7], m[8], m[9], m[10], m[11], m[12], m[13], m[14], $
      m[15], m[16], m[17], m[18], m[19], m[20], m[21], m[22], m[23], m[24], m[25], x[i], y[i]
      PRINT, sampleNum, i

    ENDIF

   i += 1

  ENDWHILE

  FREE_LUN,lun
  CLOSE,lun

END